package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * NoscaleCwDaPfPeriodData对象 noscale_cw_da_pf_period_data
 *
 * @author hlf
 * @date 2021-07-30
 */
public class NoscaleCwDaPfPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wfPrCwireNo;

    private Long modelNo;

    private Date dataTime;

    private Double value;

    private Long dataFlag;

    public void setWfPrCwireNo(Long wfPrCwireNo) {
        this.wfPrCwireNo = wfPrCwireNo;
    }

    public Long getWfPrCwireNo() {
        return wfPrCwireNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setValue(Double value) {
        this.value = value;
    }

    public Double getValue() {
        return value;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    private Long windplantNo;

    private Long projectNo;

    private Long collectorwireNo;

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public Long getCollectorwireNo() {
        return collectorwireNo;
    }

    public void setCollectorwireNo(Long collectorwireNo) {
        this.collectorwireNo = collectorwireNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wfPrCwireNo", getWfPrCwireNo())
                .append("modelNo", getModelNo())
                .append("dataTime", getDataTime())
                .append("value", getValue())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
